#!/bin/bash

#set -e
set -vx

BASE_PATH=`pwd`

git checkout devel
git submodule update --init --recursive --remote

cd $BASE_PATH/ttcn
git checkout devel

for i in `find $BASE_PATH/ttcn -type d -name "Ats*"`
do
    cd $i
    git checkout devel
done
for i in `find $BASE_PATH/ttcn/Ats* -type d -name "asn1"`
do
    cd $i
    git checkout testing
    SUB_DIRS=`find . -type d`
    if [ "SUB_DIRS" != "" ]
    then
        for j in $SUB_DIRS
        do
            cd $j
            git checkout testing
            cd -
        done
    fi
done

cd $BASE_PATH
if [ ! -f ./titan-test-system-framework ]
then
    git clone --recurse-submodules --single-branch --branch devel https://labs.etsi.org/rep/cti-tools/titan-test-system-framework.git
    cd ./titan-test-system-framework
else
    cd ./titan-test-system-framework
    git checkout devel
fi
cd ./ttcn/LibHttp
ln -sf module_its.mk module.mk

cd $BASE_PATH/ttcn/LibIts
git checkout devel

cd $BASE_PATH
cp ./ttcn/patch_lib_common_titan/module.mk ./ttcn/LibCommon/
cp ./ttcn/patch_lib_common_titan/ttcn/* ./ttcn/LibCommon/ttcn

exit 0
